package com.ejie.ab79.model.preguntasRespuestas;

/**
 * OpcionesPrePro  
 *  
 */

public class PreguntasRespuestasProtocolo  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private PreguntasProtocolo preguntasProtocolo;
			private RespuestasProtocolo respuestasProtocolo;
			private Integer excelErrorRow;
			private Integer idRelProPre;

	/** 
	 * Method 'PreguntasRespuestasProtocolo'.
	 */
    public PreguntasRespuestasProtocolo() {
    }
   

   /**
	* Method 'PreguntasRespuestasProtocolo'.
    * 
    * @param preguntasProtocolo
    * @param respuestasProtocolo
    */
   public PreguntasRespuestasProtocolo(PreguntasProtocolo preguntasProtocolo, RespuestasProtocolo respuestasProtocolo) {	
	   this.preguntasProtocolo = preguntasProtocolo;
	   this.respuestasProtocolo = respuestasProtocolo;
          
    }

   /**
	 * Method 'getPreguntasProtocolo'.
	 *
	 * @return PreguntasProtocolo
	 */

   public PreguntasProtocolo getPreguntasProtocolo() {
		return preguntasProtocolo;
	}

   /**
	 * Method 'setPreguntasProtocolo'.
	 *
	 * @param preguntasProtocolo PreguntasProtocolo
	 * @return
    */

	public void setPreguntasProtocolo(PreguntasProtocolo preguntasProtocolo) {
		this.preguntasProtocolo = preguntasProtocolo;
	}

	/**
	 * Method 'getRespuestasProtocolo'.
	 *
	 * @return RespuestasProtocolo
	 */
	
	public RespuestasProtocolo getRespuestasProtocolo() {
		return respuestasProtocolo;
	}

	/**
	 * Method 'setRespuestasProtocolo'.
	 *
	 * @param respuestasProtocolo RespuestasProtocolo
	 * @return
     */

	public void setRespuestasProtocolo(RespuestasProtocolo respuestasProtocolo) {
		this.respuestasProtocolo = respuestasProtocolo;
	}
    
	/**
	 * Method 'getExcelErrorRow'.
	 *
	 * @return Integer
	 */

	public Integer getExcelErrorRow() {
		return excelErrorRow;
	}

	/**
	 * Method 'setExcelErrorRow'.
	 *
	 * @param excelErrorRow Integer
	 * @return
     */

	public void setExcelErrorRow(Integer excelErrorRow) {
		this.excelErrorRow = excelErrorRow;
	}

	/**
	 * Method 'getIdRelProPre'.
	 * 
	 * @return Integer
	 */

	public Integer getIdRelProPre() {
		return idRelProPre;
	}

	/**
	 * Method setIdRelProPre
	 * 
	 * @param idRelProPre
	 * @return
	 */

	public void setIdRelProPre(Integer idRelProPre) {
		this.idRelProPre = idRelProPre;
	}


	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ preguntasProtocolo: ").append(this.preguntasProtocolo).append(" ]");
		result.append(", [ respuestasProtocolo: ").append(this.respuestasProtocolo).append(" ]");
		result.append(", [ excelErrorRow: ").append(this.excelErrorRow).append(" ]");
		result.append("}");
		return result.toString();
	}


}